Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.ant.listener.internaldata
Class DataNode

    java.lang.Object
      com.nokia.ant.listener.internaldata.DataNode

Direct Known Subclasses:
  BuildNode, TargetNode, TaskNode

    public abstract class DataNode

extends java.lang.Object

Constructor Summary
`DataNode(DataNode parent, java.lang.Object reference)`

Method Summary
`void` | `add(DataNode child)` Method used to register a child to it's parent.
`DataNode` | `find(java.lang.Object reference)` Find a node using its reference.
`java.util.Date` | `getEndTime()` Make is reliable: if end time doesn't exists let's use the start time.
`long` | `getJobId()`
`abstract java.lang.String` | `getName()` Name of the node.
`DataNode` | `getParent()` Returns the parent node, or null if the root.
`java.lang.Object` | `getReference()`
`java.util.Date` | `getStartTime()`
`long` | `getThreadId()` Return the thread where the class has been created under.
`boolean` | `isEmpty()` Is the node containing any children.
`java.util.Iterator<DataNode>` | `iterator()` Return an iterator on this node children
`void` | `remove(DataNode child)` Method used to remove a node from it's parent
`void` | `setEndTime(java.util.Date endTime)`
`void` | `setReference(java.lang.Object reference)`
`void` | `setStartTime(java.util.Date startTime)`
`java.lang.String` | `toString()` Default string representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataNode

    public DataNode(DataNode parent,
                    java.lang.Object reference)

Method Detail

### add

    public void add(DataNode child)

  Method used to register a child to it's parent.

  Parameters:
    `child,` - the child to register.

### iterator

    public java.util.Iterator<DataNode> iterator()

  Return an iterator on this node children

  Returns:
    the iterator

### remove

    public void remove(DataNode child)

  Method used to remove a node from it's parent

  Parameters:
    `child,` - the child to remove.

### isEmpty

    public boolean isEmpty()

  Is the node containing any children.

  Returns:
    true is the node is empty

### getParent

    public DataNode getParent()

  Returns the parent node, or null if the root.

  Returns:
    a DataNode.

### getStartTime

    public java.util.Date getStartTime()

### setStartTime

    public void setStartTime(java.util.Date startTime)

### getEndTime

    public java.util.Date getEndTime()

  Make is reliable: if end time doesn't exists let's use the start time.

### setEndTime

    public void setEndTime(java.util.Date endTime)

### getThreadId

    public long getThreadId()

  Return the thread where the class has been created under.

  Returns:
    thread id as a long.

### getReference

    public java.lang.Object getReference()

### setReference

    public void setReference(java.lang.Object reference)

### getJobId

    public long getJobId()

### find

    public DataNode find(java.lang.Object reference)

  Find a node using its reference.

  Parameters:
    `reference` - object
  Returns:

### getName

    public abstract java.lang.String getName()

  Name of the node.

  Returns:
    name of the node (e.g target name for targets)

### toString

    public java.lang.String toString()

  Default string representation.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD